package cn.superdesk.uniorder.dao.mapper.base;

import cn.superdesk.uniorder.dao.entity.base.UnifiedOrderReturn;
import cn.superdesk.uniorder.dao.entity.base.UnifiedOrderReturnExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface UnifiedOrderReturnMapper {
    long countByExample(UnifiedOrderReturnExample example);

    int deleteByExample(UnifiedOrderReturnExample example);

    int deleteByPrimaryKey(Long id);

    int insert(UnifiedOrderReturn record);

    int insertSelective(UnifiedOrderReturn record);

    List<UnifiedOrderReturn> selectByExample(UnifiedOrderReturnExample example);

    UnifiedOrderReturn selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") UnifiedOrderReturn record, @Param("example") UnifiedOrderReturnExample example);

    int updateByExample(@Param("record") UnifiedOrderReturn record, @Param("example") UnifiedOrderReturnExample example);

    int updateByPrimaryKeySelective(UnifiedOrderReturn record);

    int updateByPrimaryKey(UnifiedOrderReturn record);
}